package com.yonge.cooleshow;

import com.yonge.cooleshow.config.AppBeanNameGenerator;
import com.yonge.toolset.base.BaseApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 后端服务
 * Created by Eric.Shang on 2022/11/2.
 */
@SpringBootApplication
public class AppServerApplication {

    public static void main(String[] args) {
        //SpringApplication.run(AppServerApplication.class, args);
        //BaseApplication.run(AppConstant.APPLICATION_ADMIN, AppServerApplication.class, args);

         BaseApplication.createSpringApplicationBuilder("cooleshow-app", AppServerApplication.class, args)
                 .beanNameGenerator(new AppBeanNameGenerator())
                 .run(args);
    }
}
